///home/berryj/link/bin/genMethods "-g" "-t" "AttributeBase*" "-h" "Container" "-I" "LINK/basic/Container.h" "-I" "LINK/graph/Attribute.h" "-d" "graph" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>

#include <LINK/basic/Container.h>

#include <LINK/graph/Attribute.h>

#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>


typedef AttributeBase* _AttributeBase_;
typedef Container<AttributeBase* > _Container_AttributeBase__;

#define _Container_AttributeBase__DATA(x) ((Container<AttributeBase* >*) (EXTDATA(x)))
#define _Container_AttributeBase__IS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Container<AttributeBase* > >::type))
#define _Container_AttributeBase__ISNT_DATA(x) (!_Container_AttributeBase__IS_DATA(x))

#define _Container_AttributeBase__CXX_DATA(x) (*(Container<AttributeBase* >*) (EXTDATA(VAL(x))))
#define _Container_AttributeBase__CXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Container<AttributeBase* > >::type))
#define _Container_AttributeBase__CXX_ISNT_DATA(x) (!_Container_AttributeBase__CXX_IS_DATA(x))


PRIMITIVE STk_init__Container_AttributeBase__()
{
	Wrapper<_Container_AttributeBase__>::type = STk_new_CXXwrapper_id(
			Wrapper<_Container_AttributeBase__>::name, 
			"",
			(void (*)(SCM x, SCM port, int mode))0,
			(void (*)(SCM x))0,
			(void (*)(SCM x))0);
	Tcl_InitHashTable(&Register<_Container_AttributeBase__>::objTable, TCL_ONE_WORD_KEYS);
	return UNDEFINED;
}

void genExtra_Container_AttributeBase__Methods(void);

PRIMITIVE STk_init_methods__Container_AttributeBase__()
{
	genExtra_Container_AttributeBase__Methods();
	return UNDEFINED;
}
